Skip to content
Changelog

Report a bug

Dub integration: operations for AI agents

Dub connects to Type.com as an integration. This page lists the 57 operations documented for Claude and Codex in Type.com: 20 read, 22 write, 15 destructive.

About Dub

Dub API reference operations, subject to Type setup and account permissions.

Categories: Marketing & Social

How to connect Dub to Type.com

Connect
Configure provider-specific API target and authentication setup.
Access
Organization connection: one shared account for the workspace.

To add the connection, follow the steps in Space connections.

Documented operations

57 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

57 operations listed.

Links

  • Read

    Retrieve links count

    Retrieve the number of links for the authenticated workspace.

    GET /links/count

  • Read

    Retrieve a link

    Retrieve the info for a link.

    GET /links/info

Analytics

  • Read

    Retrieve analytics for a link, a domain, or the authenticated workspace.

    Retrieve analytics for a link, a domain, or the authenticated workspace. The response type depends on the `event` and `type` query parameters.

    GET /analytics

Events

  • Read

    List all events

    Retrieve a paginated list of events for the authenticated workspace.

    GET /events

Tags

  • Read

    List all tags

    Retrieve a paginated list of tags for the authenticated workspace.

    GET /tags

  • Write

    Create a tag

    Create a tag for the authenticated workspace.

    POST /tags

  • Write

    Update a tag

    Update a tag in the workspace.

    PATCH /tags/{id}

  • Destructive

    Delete a tag

    Delete a tag from the workspace. All existing links will still work, but they will no longer be associated with this tag.

    DELETE /tags/{id}

Folders

  • Read

    List all folders

    Retrieve a paginated list of folders for the authenticated workspace.

    GET /folders

  • Write

    Create a folder

    Create a folder for the authenticated workspace.

    POST /folders

  • Write

    Update a folder

    Update a folder in the workspace.

    PATCH /folders/{id}

  • Destructive

    Delete a folder

    Delete a folder from the workspace. All existing links will still work, but they will no longer be associated with this folder.

    DELETE /folders/{id}

Domains

  • Read

    List all domains

    Retrieve a paginated list of domains for the authenticated workspace.

    GET /domains

  • Read

    Check the availability of one or more domains

    Check if a domain name is available for purchase. You can check multiple domains at once.

    GET /domains/status

  • Write

    Create a domain

    Create a domain for the authenticated workspace.

    POST /domains

  • Write

    Update a domain

    Update a domain for the authenticated workspace.

    PATCH /domains/{slug}

  • Write

    Register a domain

    Register a domain for the authenticated workspace. Only available for Enterprise Plans.

    POST /domains/register

  • Destructive

    Delete a domain

    Delete a domain from a workspace. It cannot be undone. This will also delete all the links associated with the domain.

    DELETE /domains/{slug}

Track

  • Write

    Track a lead

    Track a lead for a short link.

    POST /track/lead

  • Write

    Track a sale

    Track a sale for a short link.

    POST /track/sale

  • Write

    Track a deep link open event

    This endpoint is used to track when a user opens your app via a Dub-powered deep link (for both iOS and Android).

    POST /track/open

Customers

  • Read

    List all customers

    Retrieve a paginated list of customers for the authenticated workspace.

    GET /customers

  • Read

    Retrieve a customer

    Retrieve a customer by ID for the authenticated workspace. To retrieve a customer by external ID, prefix the ID with `ext_`.

    GET /customers/{id}

  • Write

    Update a customer

    Update a customer for the authenticated workspace.

    PATCH /customers/{id}

  • Destructive

    Delete a customer

    Delete a customer from a workspace.

    DELETE /customers/{id}

Partners

  • Read

    List all partners

    List all partners for a partner program.

    GET /partners

  • Read

    Retrieve analytics for a partner

    Retrieve analytics for a partner within a program. The response type vary based on the `groupBy` query parameter.

    GET /partners/analytics

  • Destructive

    Create or update a partner

    Creates a partner and enrolls them in the program. If that email is already enrolled, the enrollment is returned unchanged, except a different `tenantId` replaces the current one when it is not already associated with another partner in the program.

    POST /partners

  • Destructive

    Ban a partner

    Ban a partner from your program. This will disable all links and mark all commissions as canceled.

    POST /partners/ban

  • Destructive

    Deactivate a partner

    This will deactivate the partner from your program and disable all their active links. Their commissions and payouts will remain intact. You can reactivate them later if needed.

    POST /partners/deactivate

Program Applications

  • Read

    List all program applications

    Retrieve a paginated list of applications for your partner program. Filter by `status` to list pending, approved, or rejected applications.

    GET /program-applications

  • Write

    Approve a partner application

    Approve a pending partner application to your program. The partner will be enrolled in the specified group and notified of the approval.

    POST /program-applications/approve

  • Write

    Reject a partner application

    Reject a pending partner application to your program. The partner will be notified via email that their application was not approved.

    POST /program-applications/reject

Discount Codes

  • Read

    List discount codes

    Retrieve a paginated list of discount codes in a program or filtered by partner, discount, or code.

    GET /discount-codes

  • Write

    Create a discount code

    Create a discount code for a partner. The partner's group must already have a discount assigned to it, and the discount code must be associated with a link that is not already linked with another discount code.

    POST /discount-codes

  • Destructive

    Delete a discount code

    Delete a discount code for a partner by its unique ID or alphanumeric code. This will also disable the code in your connected discount provider (Stripe, Shopify, or custom via `disccount.deleted` webhook).

    DELETE /discount-codes/{idOrCode}

Commissions

  • Read

    List all commissions

    Retrieve a paginated list of commissions for your partner program.

    GET /commissions

  • Write

    Create commission

    Create one or more commissions (custom, lead or sale) for a partner. Custom commissions accept a negative `amount` to create a clawback. Commission creation is processed asynchronously – use the GET /commissions endpoint or webhooks to be notified when the commission is created.

    POST /commissions

  • Write

    Update a commission

    Update an existing commission amount. This is useful for handling refunds (partial or full) or fraudulent sales.

    PATCH /commissions/{id}

  • Destructive

    Bulk update commissions

    Bulk update up to 100 commissions with the same status.

    PATCH /commissions/bulk

Payouts

  • Read

    List all payouts

    Retrieve a paginated list of payouts for your partner program.

    GET /payouts

Embed Tokens

  • Write

    Create a referrals embed token

    Create a referrals embed token for the given partner/tenant. The endpoint first attempts to locate an existing enrollment using the provided tenantId. If no enrollment is found, it resolves the partner by email and creates a new enrollment as needed. This results in an upsert-style flow that guarantees a valid enrollment and returns a usable embed token.

    POST /tokens/embed/referrals

QR Codes

  • Read

    Retrieve a QR code

    Retrieve a QR code for a link.

    GET /qr

Bounties

  • Read

    List bounty submissions

    List all submissions for a specific bounty in your partner program.

    GET /bounties/{bountyId}/submissions

  • Write

    Approve a bounty submission

    Approve a bounty submission. Optionally specify a custom reward amount.

    POST /bounties/{bountyId}/submissions/{submissionId}/approve

  • Write

    Reject a bounty submission

    Reject a bounty submission with a specified reason and optional note.

    POST /bounties/{bountyId}/submissions/{submissionId}/reject

See How connections work for access and permissions, or browse all integrations.